Subject: Freescale old style SMP

From: Daniel Walker <[email-masked]>
Date: Mon, 8 Feb 2016 13:57:08 -0800

In this patch,

http://repository.timesys.com/buildsources/k/kernel/kernel-2.6.32/2.6.32-fsl-p1022ds-201003260230.patch

The SMP code is different from what's upstream. It looks like Freescale 
may have changed the way SMP info is passed from the bootloader to the 
kernel.

Unfortunately, Cisco release a product with a bootloader which conforms 
to what's in the patch above. Newer kernels don't initialize smp using 
our bootloader.

I'm wondering if maybe I'm missing something here, and the smp 
initialization is actually the same, or if there's some fall back which 
is compatible? If not, then what's the best way to integrate this old 
method into what's already upstream?

Thanks,

Daniel